%define base_name	lablgl
%define srcname		lablGL

%define distname	%{base_name}-%{version}.tar.xz
%define distdir		%{base_name}-%{version}

Name:		ocaml-%{base_name}
Version:	1.05
Release:	%mkrel 1
Summary:	OpenGL interface for OCaml
License:	BSD
Group:		Development/OCaml
URL:		http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
Source0:	http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/%{distname}
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-compiler-libs
BuildRequires:	ocaml-camlp4-devel
BuildRequires:	ocaml-labltk
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	mesaglu-devel
BuildRequires:	freeglut-devel
BuildRequires:	libxmu-devel
Requires:	ocaml-labltk

%package devel
Summary:	OpenGL interface for OCaml
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}
Requires:	libxmu-devel
Requires:	mesaglu-devel
Requires:	freeglut-devel

%description 
LablGL is is an OCaml interface to OpenGL. Support is included for
use with both Glut (standalone) and LablTk.

%description -n %{name}-devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{distdir}

#cp -f %{_includedir}/tk-private/generic/tkInt.h Togl/src/Togl/tkInt%{tcl_version}.h
#cp -f %{_includedir}/tk-private/generic/tkIntDecls.h Togl/src/Togl/tkIntDecls%{tcl_version}.h
#sed -i -e 's,tkIntDecls.h,tkIntDecls%{tcl_version}.h,g' Togl/src/Togl/tkInt%{tcl_version}.h

cat > Makefile.config << EOF
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
BINDIR = %{_bindir}
XINCLUDES = -I%{_includedir}
XLIBS = -L%{_libdir} -lXext -lXmu -lX11
TKINCLUDES = -I%{_includedir}
GLINCLUDES =
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut
RANLIB = :
LIBDIR = %{_libdir}/ocaml
DLLDIR = %{_libdir}/ocaml/stublibs
INSTALLDIR = %{_libdir}/ocaml/lablGL
TOGLDIR=Togl
COPTS = %{optflags}
EOF

%build

make all opt

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_libdir}/ocaml/lablGL
install -d -m 755 %{buildroot}%{_libdir}/ocaml/stublibs
make \
   BINDIR=%{buildroot}%{_bindir}\
   INSTALLDIR=%{buildroot}%{_libdir}/ocaml/lablGL\
   DLLDIR=%{buildroot}%{_libdir}/ocaml/stublibs\
   install

rm -f %{buildroot}%{_libdir}/ocaml/lablGL/*.ml

# Make and install a META file.
cat > %{buildroot}%{_libdir}/ocaml/lablGL/META<<EOF
version="%{version}"
directory="+lablGL"
archive(byte) = "lablgl.cma"
archive(native) = "lablgl.cmxa"

package "togl" (
  requires = "labltk lablGL"
  archive(byte) = "togl.cma"
  archive(native) = "togl.cmxa"
)

package "glut" (
  requires = "lablGL"
  archive(byte) = "lablglut.cma"
  archive(native) = "lablglut.cmxa"
)
EOF

%files
%doc COPYRIGHT CHANGES README
%dir %{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/lablGL/*.cmi
%{_libdir}/ocaml/lablGL/*.cma
%{_libdir}/ocaml/lablGL/META
%{_libdir}/ocaml/stublibs/*.so
%{_bindir}/lablgl
%{_bindir}/lablglut

%files devel
%{_bindir}/*
%{_libdir}/ocaml/lablGL/*.a
%{_libdir}/ocaml/lablGL/*.cmx
%{_libdir}/ocaml/lablGL/*.cmxa
%{_libdir}/ocaml/lablGL/*.mli


%changelog
* Fri Jun 01 2018 adrianomorselli <adrianomorselli> 1.0.5-1uplos2018
- update
